Difference between revisions of "Arch Add/de"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Created page with "{{Userdocnavi/de}}")
 
(30 intermediate revisions by 4 users not shown)
Line 1: Line 1:
{{GuiCommand/de|Name=Arch Add|Name/de=Teil hinzufügen|MenuLocation=Architektur -> Teil hinzufügen|Shortcut=W A|Workbenches=[[Arch Module/de|Arch]]|SeeAlso=[[Arch Remove/de|Entfernen]]}}
+
<languages/>
 +
{{docnav/de
 +
|[[Arch_CutPlane/de|Schneiden in einer Ebene]]
 +
|[[Arch_Remove/de|Komponente entfernen]]
 +
|[[Arch_Module/de|Arch-Arbeitsbereich]]
 +
|IconL=Arch_CutPlane.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Remove.svg
 +
}}
 +
 
 +
{{GuiCommand/de
 +
|Name=Arch Add|Name/de=Teil hinzufügen
 +
|MenuLocation=Architektur Teil hinzufügen
 +
|Workbenches=[[Arch Module/de|Arch]]
 +
|Shortcut={{KEY|W}} {{KEY|A}}
 +
|SeeAlso=[[Arch Remove/de|Entfernen]]
 +
}}
  
 
==Beschreibung==  
 
==Beschreibung==  
  
The Add tool allows you to do 4 kinds of operations:
+
Das Teil hinzufügen - Werkzeug erlaubt folgende Arten von Operationen:
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
+
* Ein [[Part Module/de|Primitiven]]-basiertes Objekt wird einer Architekturkomponente hinzugefügt, beispielsweise eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]]. Diese Objekte werden dann Teil der Architekturkomponente, wobei sich aber deren grundlegende Parameter wie Höhe oder Breite weiterhin verändern lassen.
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
+
* Füge eine Architekturkomponente, wie z.B. eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]], zu einer Gruppierung von Architekturelementen, wie z.B. einer [[Arch Floor/de|Etage]], hinzu.
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
+
* Füge ein [[Arch Axis/de|Achsensystem]] zu [[Arch Structure/de|Bauelementen]] hinzu.
* Add objects to [[Arch SectionPlane|section planes]]
+
* Füge Objekte zu [[Arch SectionPlane/de|Schnittebenen]] hinzu.
  
[[Image:Arch Add example.jpg]]
+
Das Gegenstück zu diesem Werkzeug ist das [[Arch Remove/de|Entfernen]]-Werkzeug.
  
In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.
+
[[Image:Arch Add example.jpg|640px]]
 +
{{Caption|Ein Quader wird einer Wand als Komponente hinzugefügt.}}
  
 
==Anwendung==
 
==Anwendung==
  
 
# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
 
# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
# Drücke den {{KEY|[[Image:Arch Add.png|16px]] '''Hinzufügen'''}}-Knopf.
+
# Drücke die Schaltfläche {{Button|[[Image:Arch Add.png|16px]] [[Arch Add/de|Hinzufügen]]}}.
  
 
==Scripting==
 
==Scripting==
 +
{{Emphasis|Siehe auch:}} [[Arch API/de|Arch API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
  
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:
+
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]]-Konsole heraus durch folgende Funktion angesprochen werden:
'''addComponents (objectsList,hostObject)''':
+
{{Code|code=
*fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu. So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.
+
addComponents(objectsList, host)
* Returns nothing.
+
}}
 +
 
 +
* Fügt die in {{incode|objectsList}} gegebenen Objekte zum {{incode|host}}-Objekt hinzu.
 +
** {{incode|objectsList}} kann ein einzelnes Objekt oder eine Liste von Objekten sein.
  
 
Beispiel:
 
Beispiel:
<syntaxhighlight>
+
{{Code|code=
import FreeCAD, Arch, Draft, Part
+
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
+
 
wall = Arch.makeWall(line)
+
p1 = FreeCAD.Vector(0, 0, 0)
box = Part.makeBox(1,1,1)
+
p2 = FreeCAD.Vector(2000, 2000, 0)
Arch.addComponents(box,wall)
+
 
</syntaxhighlight>
+
Line = Draft.makeWire([p1, p2])
 +
Wall = Arch.makeWall(Line, width=150, height=2000)
 +
 
 +
p3 = FreeCAD.Vector(0, 2000, 0)
 +
p4 = FreeCAD.Vector(3000, 0, 0)
  
<languages/>
+
Line2 = Draft.makeWire([p3, p4])
 +
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Arch.addComponents(Wall2, Wall)
 +
FreeCAD.ActiveDocument.recompute()
 +
}}
 +
{{docnav/de
 +
|[[Arch_CutPlane/de|Schneiden in einer Ebene]]
 +
|[[Arch_Remove/de|Komponente entfernen]]
 +
|[[Arch_Module/de|Arch-Arbeitsbereich]]
 +
|IconL=Arch_Space.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Panel.svg
 +
}}
 +
 
 +
{{Arch Tools navi/de}}
 +
 
 +
{{Userdocnavi/de}}

Latest revision as of 00:08, 10 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Arch Add.svg Teil hinzufügen

Menüeintrag
Architektur → Teil hinzufügen
Arbeitsbereich
Arch
Standardtastenkürzel
W A
In der Version eingeführt
-
Siehe auch
Entfernen


Beschreibung

Das Teil hinzufügen - Werkzeug erlaubt folgende Arten von Operationen:

  • Ein Primitiven-basiertes Objekt wird einer Architekturkomponente hinzugefügt, beispielsweise eine Wand oder ein Bauelement. Diese Objekte werden dann Teil der Architekturkomponente, wobei sich aber deren grundlegende Parameter wie Höhe oder Breite weiterhin verändern lassen.
  • Füge eine Architekturkomponente, wie z.B. eine Wand oder ein Bauelement, zu einer Gruppierung von Architekturelementen, wie z.B. einer Etage, hinzu.
  • Füge ein Achsensystem zu Bauelementen hinzu.
  • Füge Objekte zu Schnittebenen hinzu.

Das Gegenstück zu diesem Werkzeug ist das Entfernen-Werkzeug.

Arch Add example.jpg

Ein Quader wird einer Wand als Komponente hinzugefügt.


Anwendung

  1. Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
  2. Drücke die Schaltfläche Arch Add.png Hinzufügen.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Hinzufügen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

addComponents(objectsList, host)
  • Fügt die in objectsList gegebenen Objekte zum host-Objekt hinzu.
    • objectsList kann ein einzelnes Objekt oder eine Liste von Objekten sein.

Beispiel:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()